Skip to main content
GET
/
orgs
/
{org_id}
/
projects
/
{project_id}
/
envs
cURL
curl --request GET \
  --url https://api.timbal.ai/orgs/{org_id}/projects/{project_id}/envs \
  --header 'Authorization: Bearer <token>'
{
  "envs": [
    {
      "color": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "id": 123,
      "name": "<string>",
      "subdomain": "<string>",
      "updated_at": "2023-11-07T05:31:56Z",
      "branch": "<string>",
      "cpu": 123,
      "custom_domain": "<unknown>",
      "description": "<string>",
      "desired_count": 123,
      "ephemeral_storage": 123,
      "memory": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.

Path Parameters

org_id
string
required
project_id
string
required

Response

200 - application/json

Environments listed successfully

envs
object[]
required